#include <iostream>
#include <ctime>

const int SIZE = 1000;

void multiplyMatrices(int **A, int **B, int **C)
{
    for (int i = 0; i < SIZE; ++i)
    {
        for (int j = 0; j < SIZE; ++j)
        {
            C[i][j] = 0;
            for (int k = 0; k < SIZE; ++k)
            {
                C[i][j] += A[i][k] * B[k][j];
            }
        }
    }
}

int main()
{
    int **A = new int *[SIZE];
    int **B = new int *[SIZE];
    int **C = new int *[SIZE];

    for (int i = 0; i < SIZE; ++i)
    {
        A[i] = new int[SIZE];
        B[i] = new int[SIZE];
        C[i] = new int[SIZE];
    }

    for (int i = 0; i < SIZE; ++i)
    {
        for (int j = 0; j < SIZE; ++j)
        {
            A[i][j] = i + j;
            B[i][j] = i - j;
        }
    }

    clock_t start = clock();

    multiplyMatrices(A, B, C);

    clock_t end = clock();
    double duration = double(end - start) / CLOCKS_PER_SEC;

    std::cout << "Time taken: " << duration << " seconds" << std::endl;

    for (int i = 0; i < SIZE; ++i)
    {
        delete[] A[i];
        delete[] B[i];
        delete[] C[i];
    }
    delete[] A;
    delete[] B;
    delete[] C;

    return 0;
}
