#include <iostream>
#include <cstdlib>
#include <ctime>

const int NUM_POINTS = 10000000;
int main()
{
    std::srand(std::time(nullptr));

    clock_t start = clock();

    int inside_circle = 0;

    for (int i = 0; i < NUM_POINTS; ++i)
    {
        double x = static_cast<double>(std::rand()) / RAND_MAX;
        double y = static_cast<double>(std::rand()) / RAND_MAX;

        if (x * x + y * y <= 1.0)
        {
            ++inside_circle;
        }
    }

    double pi_estimate = 4.0 * inside_circle / NUM_POINTS;
    clock_t end = clock();
    double duration = double(end - start) / CLOCKS_PER_SEC;

    std::cout << "Estimated value of Pi: " << pi_estimate << std::endl;
    std::cout << "Time taken: " << duration << " seconds" << std::endl;

    return 0;
}
